GNU bug report logs - #36793
[PATCH 04/11] gnu: Add r-flowcore.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: zimoun <zimon.toutoune@HIDDEN>; Keywords: patch; merged with #36789, #36790, #36791, #36792, #36794, #36795, #36796, #36797, #36798, #36799, #36800; dated Wed, 24 Jul 2019 18:23:05 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36798 36799 36800. Request was from zimoun <zimon.toutoune@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36798 36799 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36798 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Jul 2019 18:22:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 24 14:22:32 2019
Received: from localhost ([127.0.0.1]:37987 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqLuJ-0005Ly-Ky
	for submit <at> debbugs.gnu.org; Wed, 24 Jul 2019 14:22:32 -0400
Received: from lists.gnu.org ([209.51.188.17]:46301)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1hqLuD-0005L2-LJ
 for submit <at> debbugs.gnu.org; Wed, 24 Jul 2019 14:22:25 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41070)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1hqLuC-0003Ho-Kr
 for guix-patches@HIDDEN; Wed, 24 Jul 2019 14:22:25 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1hqLuB-0007Dt-JB
 for guix-patches@HIDDEN; Wed, 24 Jul 2019 14:22:24 -0400
Received: from mail-wr1-x431.google.com ([2a00:1450:4864:20::431]:43438)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <zimon.toutoune@HIDDEN>)
 id 1hqLuB-0007Cf-DF
 for guix-patches@HIDDEN; Wed, 24 Jul 2019 14:22:23 -0400
Received: by mail-wr1-x431.google.com with SMTP id p13so47974699wru.10
 for <guix-patches@HIDDEN>; Wed, 24 Jul 2019 11:22:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=rx7LUQvIHcLh54Mlx4vy8OaM3guvdfNahu+L7Qf6kUw=;
 b=A5n8zr5XDapjfpVzDCP8mYd8loT2PvPW6fbEIeXtGPhXeFfLZ1SiVMXzx83h9VIkO1
 qfX0dWpJLS1w3pjqLaevfq6OWGNR6aOlgwaYokYijvC13oWJj9BcTua+DErbsVl1jZT7
 iq3M6h2wAjvFReeuAHDb+BBkPS/9zzXodELyiMy+053IUgiccKEQstAcj6W9FKU/X52T
 SPoCfLG0aTxO34zsRbVP2r2ZcUjbPUFuZgCN/3D5ndOafPM052UDlYA+u1phIoWN/cMQ
 AMS1gQUxFWX8OKcMityO/yZYS497/YDKgR1zfkTdJDQXVkp7iJoDdf56Yto+nfgcJ4XA
 qGDg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=rx7LUQvIHcLh54Mlx4vy8OaM3guvdfNahu+L7Qf6kUw=;
 b=qpjlcH7FpSzrwji2etpz/4/cTVzFI4mFR2hPlSQXLEP37rCbqD+pkI3YHaV4jO9mjS
 cWk5rCSQJT3eWTQGU8ve2ZpYogYqhBHbVwLTW8dGCyB8dB3BVrZkD7HLTnMDbPlrL29D
 5RgYAQKoiA/7OE4gcoHyOU8MlFFAXu7kqoKpwS7zv9MD2ZVFtyPmdHFDtdIFeuMvOCtS
 9nxHuLyRacbthrKxXQBGpxZBFAw802Z682P/eqBBQXX0fILHOmz/jXRBdoI7514WAyZb
 QnuNneTP59+i5F4/+fyqVcrB3IwLxu18x7rhJiIuELSmiDouQQSx6KzDgU2zPSCWkbpp
 Z86w==
X-Gm-Message-State: APjAAAW73DPJ79W2j+zs80qecTckXwblFfYboMgiER+4LB1Jnp6aoMAd
 pSAs26jZhustj1n0FCpm68kFgapO
X-Google-Smtp-Source: APXvYqzFM1KPSMixiABfbX8e2HxGBDpvz061d663XnYDMnnTvhFY9LggOG04MgcQ92N7Odfpm+KNYQ==
X-Received: by 2002:a5d:6a84:: with SMTP id s4mr12580003wru.125.1563992542287; 
 Wed, 24 Jul 2019 11:22:22 -0700 (PDT)
Received: from pfiuh02.univ-paris-diderot.fr ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id g12sm66116616wrv.9.2019.07.24.11.22.21
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 24 Jul 2019 11:22:21 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 04/11] gnu: Add r-flowcore.
Date: Wed, 24 Jul 2019 20:21:57 +0200
Message-Id: <20190724182204.6818-5-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.22.0
In-Reply-To: <20190724182204.6818-1-zimon.toutoune@HIDDEN>
References: <20190724182204.6818-1-zimon.toutoune@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::431
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/bioconductor.scm (r-flowcore): New variable.
---
 gnu/packages/bioconductor.scm | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/gnu/packages/bioconductor.scm b/gnu/packages/bioconductor.scm
index 18b5711496..3a38042537 100644
--- a/gnu/packages/bioconductor.scm
+++ b/gnu/packages/bioconductor.scm
@@ -4799,3 +4799,33 @@ read mapping, read counting, SNP calling, structural variant detection and
 gene fusion discovery.  It can be applied to all major sequencing techologies
 and to both short and long sequence reads.")
     (license license:gpl3)))
+
+(define-public r-flowcore
+  (package
+    (name "r-flowcore")
+    (version "1.50.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (bioconductor-uri "flowCore" version))
+        (sha256
+          (base32
+            "0pvcyzycsmgc8iw60q9xnhllfan6ihwpz3gvk8h1n9jmhpxzylan"))))
+    (properties `((upstream-name . "flowCore")))
+    (build-system r-build-system)
+    (propagated-inputs
+      `(("r-bh" ,r-bh)
+        ("r-biobase" ,r-biobase)
+        ("r-biocgenerics" ,r-biocgenerics)
+        ("r-corpcor" ,r-corpcor)
+        ("r-graph" ,r-graph)
+        ("r-mass" ,r-mass)
+        ("r-matrixstats" ,r-matrixstats)
+        ("r-rcpp" ,r-rcpp)
+        ("r-rrcov" ,r-rrcov)))
+    (home-page
+      "https://bioconductor.org/packages/flowCore")
+    (synopsis "Basic structures for flow cytometry data")
+    (description
+      "Provides S4 data structures and basic functions to deal with flow cytometry data.")
+    (license license:artistic2.0)))
-- 
2.21.0





Acknowledgement sent to zimoun <zimon.toutoune@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#36793; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 24 Jul 2019 19:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.